Bug 419921 - Error Installing Netbeans version 6
Error Installing Netbeans version 6
Status: CLOSED DUPLICATE of bug 385291
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
installation of netbeans-6.0-linux.sh
Depends On:
  Show dependency treegraph
Reported: 2007-12-11 10:58 EST by Ronald Canete
Modified: 2007-12-12 13:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-12 13:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Netbeans 6 installation error (2.67 KB, text/plain)
2007-12-11 10:58 EST, Ronald Canete
no flags Details

  None (edit)
Description Ronald Canete 2007-12-11 10:58:25 EST
    SELinux is preventing /usr/lib/jvm/java-1.7.0-icedtea-
    from loading /tmp/nbi-53920.tmp which requires text relocation.

Detailed Description
    The /usr/lib/jvm/java-1.7.0-icedtea- application
    attempted to load /tmp/nbi-53920.tmp which requires text relocation.  This
    is a potential security problem. Most libraries do not need this permission.
    Libraries are sometimes coded incorrectly and request this permission.  The
    http://people.redhat.com/drepper/selinux-mem.html web page explains how to
    remove this requirement.  You can configure SELinux temporarily to allow
    /tmp/nbi-53920.tmp to use relocation as a workaround, until the library is
    fixed. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Allowing Access
    If you trust /tmp/nbi-53920.tmp to run correctly, you can change the file
    context to textrel_shlib_t. "chcon -t textrel_shlib_t /tmp/nbi-53920.tmp"
    You must also change the default file context files on the system in order
    to preserve them even on a full relabel.  "semanage fcontext -a -t
    textrel_shlib_t /tmp/nbi-53920.tmp"

    The following command will allow this access:
    chcon -t textrel_shlib_t /tmp/nbi-53920.tmp

Additional Information        

Source Context                system_u:system_r:java_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmp_t:s0
Target Objects                /tmp/nbi-53920.tmp [ file ]
Affected RPM Packages         java-1.7.0-icedtea-
Policy RPM                    selinux-policy-3.0.8-62.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.allow_execmod
Host Name                     sa-ruh-dclin-01
Platform                      Linux sa-ruh-dclin-01 #1 SMP Wed
                              Nov 21 18:51:08 EST 2007 i686 athlon
Alert Count                   1
First Seen                    Mon 10 Dec 2007 05:59:22 PM AST
Last Seen                     Mon 10 Dec 2007 05:59:22 PM AST
Local ID                      01529e95-d0a8-4d0e-9ee5-348367b828f8
Line Numbers                  

Raw Audit Messages            

avc: denied { execmod } for comm=java dev=dm-0 egid=0 euid=0
exe=/usr/lib/jvm/java-1.7.0-icedtea- exit=-13 fsgid=0
fsuid=0 gid=0 items=0 path=/tmp/nbi-53920.tmp pid=10761
scontext=system_u:system_r:java_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:java_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:tmp_t:s0 tty=pts1 uid=0
Comment 1 Ronald Canete 2007-12-11 10:58:25 EST
Created attachment 284271 [details]
Netbeans 6 installation error
Comment 2 Lillian Angel 2007-12-12 13:33:09 EST

*** This bug has been marked as a duplicate of 385291 ***

Note You need to log in before you can comment on or make changes to this bug.